<template>
  <div class="d-flex align-items-baseline">
    <span> Gal: {{ displayCoordinates }}</span>
    <button-copy :value="displayCoordinates" />
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import ButtonCopy from '@/components/ButtonCopy.vue';

export default Vue.extend({
  components: {
    ButtonCopy,
  },

  props: {
    l: {
      type: Number,
      default: 0,
    },
    b: {
      type: Number,
      default: 0,
    },
  },

  computed: {
    displayCoordinates(): string {
      return `${this.l.toFixed(4)} ${this.b.toFixed(4)}`;
    },
  },
});
</script>
